.Const

.Data?

.Data

szBuffer	Byte	256 Dup(0)
hEdit		HWND	0
hList		HWND	0

.Code

Window1Procedure Proc Private hWnd:HWND, uMsg:ULONG, wParam:WPARAM, lParam:LPARAM
	.If uMsg == WM_CREATE
		;Get the Edit control handle
		;and save it to a variable
		Invoke GetWindowItem, hWnd, IDC_WINDOW1_EDIT1
		Mov hEdit, Eax
		;Get the List control handle
		;and save it to a variable
		Invoke GetWindowItem, hWnd, IDC_WINDOW1_LIST1
		Mov hList, Eax
		Return TRUE
	.ElseIf uMsg == WM_COMMAND
		;Get low word of wParam
		LoWord wParam
		;Check whether it is Edit1 ID
		.If Ax == IDC_WINDOW1_EDIT1
			;Get high word wParam
			HiWord wParam
			;Check whether text in the
			;edit control has changed
			.If Ax == EN_CHANGE
				;Empty the text buffer
				Mov szBuffer[0], 0
				;Get text in the Edit control
				Invoke GetWindowText, hEdit, Addr szBuffer, 255
				;Get Button1 handle in Eax
				Invoke GetWindowItem, hWnd, IDC_WINDOW1_BUTTON1
				.If szBuffer[0] == 0
					;No text, disable button
					Invoke EnableWindow, Eax, FALSE
				.Else
					;Some text, enable button
					Invoke EnableWindow, Eax, TRUE
				.EndIf
				Return TRUE
			.EndIf
		.ElseIf Ax == IDC_WINDOW1_BUTTON1 ;Check whether it is Button1 ID
			;Get high word wParam
			HiWord wParam
			;Check if the Button control
			;has been clicked
			.If Ax == BN_CLICKED
				;Add text buffer string  to List1
				Invoke SendMessage, hList, LB_ADDSTRING, 0, Addr szBuffer
				;Empty text buffer
				Mov szBuffer[0], 0
				;Empty the Edit control
				Invoke SetWindowText, hEdit, Addr szBuffer
				;Set the focus to Edit control
				Invoke SetFocus, hEdit
				Return TRUE
			.EndIf
		.EndIf
	.ElseIf uMsg == WM_CLOSE
		Invoke IsModal, hWnd
		.If Eax
			Invoke EndModal, hWnd, IDCANCEL
			Return TRUE
		.EndIf
	.EndIf
	Return FALSE
Window1Procedure EndP
